diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index 4ee9659e..4445892a 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -431,7 +431,10 @@ define([
                 pgBrowser.Events.trigger(
                   'pgadmin:browser:tree:refresh', sel_item || pgBrowser.tree.selected(), {
                     success: function() {
-                      sel_node.callbacks.selected.apply(sel_node, [sel_item]);
+                      setTimeout(function() {
+                        pgBrowser.tree.select(sel_item);
+                        sel_node.callbacks.selected.apply(sel_node, [sel_item]);
+                      }, 100);
                     },
                   });
               }
